<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemFireAccidentDescMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemFireAccidentDesc">
        <id column="id" property="id" />
        <result column="project_id" property="projectId" />
        <result column="project_code" property="projectCode" />
        <result column="legal_paper_type" property="legalPaperType" />
        <result column="paper_title" property="paperTitle" />
        <result column="specify_place" property="specifyPlace" />
        <result column="specify_time" property="specifyTime" />
        <result column="specify_person1" property="specifyPerson1" />
        <result column="specify_company_post1" property="specifyCompanyPost1" />
        <result column="specify_person2" property="specifyPerson2" />
        <result column="specify_company_post2" property="specifyCompanyPost2" />
        <result column="note_person" property="notePerson" />
        <result column="note_company_post" property="noteCompanyPost" />
        <result column="fire_unit" property="fireUnit" />
        <result column="alarm_time" property="alarmTime" />
        <result column="fire_address" property="fireAddress" />
        <result column="parties_present" property="partiesPresent" />
        <result column="party_not_present" property="partyNotPresent" />
        <result column="party_not_reason" property="partyNotReason" />
        <result column="unit_attribute" property="unitAttribute" />
        <result column="firmly_believe" property="firmlyBelieve" />
        <result column="fire_cause" property="fireCause" />
        <result column="answer1" property="answer1" />
        <result column="answer2" property="answer2" />
        <result column="parties_present_name" property="partiesPresentName" />
        <result column="parties_time" property="partiesTime" />
        <result column="exponent_name" property="exponentName" />
        <result column="creator" property="creator" />
        <result column="creator_name" property="creatorName" />
        <result column="create_time" property="createTime" />
        <result column="create_ip" property="createIp" />
        <result column="update_person" property="updatePerson" />
        <result column="update_name" property="updateName" />
        <result column="update_time" property="updateTime" />
        <result column="update_ip" property="updateIp" />
        <result column="approver" property="approver" />
        <result column="approver_name" property="approverName" />
        <result column="approval_time" property="approvalTime" />
        <result column="enable" property="enable" />
        <result column="version_number" property="versionNumber" />
        <result column="acceptance_unit" property="acceptanceUnit" />
        <result column="competent_unit" property="competentUnit" />
        <result column="alternate_field1" property="alternateField1" />
        <result column="alternate_field2" property="alternateField2" />
        <result column="alternate_field3" property="alternateField3" />
        <result column="alternate_field4" property="alternateField4" />
        <result column="alternate_field5" property="alternateField5" />
        <result column="row_version" property="rowVersion" />
        <result column="bdp_audit" property="bdpAudit" />
        <result column="union_key" property="unionKey" />
    </resultMap>

</mapper>
